<!DOCTYPE html>
<html>
<head>
    <title>{{ animal.name }} Info</title>
    <style>
        body {
            background-image: url("{{ url_for('static', filename='background.jpg') }}");
            background-size: cover;
            background-repeat: no-repeat;
            background-position: center center;
            font-family: Arial, sans-serif;
            color: #fff;
        }

        .animal-info {
            display: flex;
            flex-direction: column;
            align-items: center;
            margin-top: 100px;
        }

        .animal-image {
            width: 300px;
            height: 300px;
            border-radius: 10px;
        }

        /* Define the heart shape */
        .heart {
            width: 100px;
            height: 100px;
            background-color: red;
            position: relative;
            transform: rotate(45deg);
            animation: spinHeart 2s linear infinite;
        }

        .heart::before,
        .heart::after {
            content: "";
            width: 100px;
            height: 100px;
            background-color: red;
            border-radius: 50%;
            position: absolute;
        }

        .heart::before {
            left: 50px;
            top: 0;
        }

        .heart::after {
            left: 0;
            top: -50px;
        }

        /* Define the spinning animation */
        @keyframes spinHeart {
            0% {
                transform: rotate(0deg);
            }
            100% {
                transform: rotate(360deg);
            }
        }
    </style>
</head>
<body>
    <div class="animal-info">
        <h1>{{ animal.name }} Info</h1>
        <img class="animal-image" src="{{ url_for('static', filename=animal.name.lower() + '.jpg') }}" onerror="this.src='{{ url_for('static', filename=animal.name.lower() + '.jpeg') }}';" alt="{{ animal.name }}">
        {% if animal.guessed %}
            <div class="heart"></div>
            <p>Congratulations! You guessed it right!</p>
            <p>Here is some information about {{ animal.name }}.</p>
        {% else %}
            <p>Keep guessing! You can do it!</p>
        {% endif %}
    </div>
</body>
</html>
